﻿using System.Windows;
using Telerik.Windows.Controls;

namespace MaintainTileView_ScrollOffset
{
    public partial class MainWindow : Window
    {
        private bool shouldBrindIntoView;
        private TileItem tileViewItemToBringIntoTheView;


        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void RadTileView_TilesStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            var tileView = sender as RadTileView;
            if (tileView.MaximizedItem != null)
            {
                tileViewItemToBringIntoTheView = tileView.MaximizedItem as TileItem;
            }
            if (tileView.MaximizedItem == null)
            {
                shouldBrindIntoView = true;
            }
        }

        private void myTileView_TilesAnimationCompleted(object sender, TilesAnimationCompletedEventArgs e)
        {
            if (shouldBrindIntoView)
            {
                this.myTileView.BringIntoView(tileViewItemToBringIntoTheView);
                shouldBrindIntoView = false;
                tileViewItemToBringIntoTheView = null;
            }
        }
    }
}
